Bug 146330 - tcsh doesn't expand %d, %s format specifiers correctly
Summary: tcsh doesn't expand %d, %s format specifiers correctly
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcsh   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-27 02:33 UTC by Charles R. Anderson
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 6.13-10.FC3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-26 17:24:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles R. Anderson 2005-01-27 02:33:47 UTC
Description of problem:

tcsh is behaving very strangely with respect to outputting messages
that involve replacing format specifiers with actual variable values.  
The %d, %s, etc. format specifiers are being output literally, and
some parts of the output are being duplicated.  This occurs in many
different places where tcsh displays messages/prompts for the user.  I
have noticed it so far in the "You have new mail" message and the
prompt that tcsh displays when a tab-completion or ctrl-d completion
output would exceed the listmax setting.

Version-Release number of selected component (if applicable):
tcsh-6.13-9

How reproducible:
Always

Steps to Reproduce:
1. set mail=(1 /var/spool/mail/$USER)
2. send yourself some mail
3. set listmax=75
4. g<ctrl-d> to list completions of commands that begin with 'g'
  
Actual results:

You have You have %smail.
mail.
[test@jet ~]$ g
There are 230 There are %d %s, list them anyway? [n/y] , list them
anyway? [n/y]

Expected results:

You have new mail.
[test@jet ~]$ g
There are 230 items, list them anyway? [n/y]

Comment 1 Miloslav Trmač 2005-01-30 20:49:15 UTC
Fixed in tcsh-6.13-11, which should appear in rawhide soon.
Thanks for the bug report.

Comment 2 Charles R. Anderson 2005-02-16 03:35:18 UTC
Rebuilding the rawhide package on FC3 solves the problem.  Can you
push a build for FC3 updates?

Thanks.


Comment 3 Miloslav Trmač 2005-02-16 08:09:29 UTC
Will do...

Comment 4 Miloslav Trmač 2005-02-26 17:24:56 UTC
tcsh-6.13-10.FC3.1 has been published.


Note You need to log in before you can comment on or make changes to this bug.